class net::karchive($docker_tag='latest', $git_repo_url='', $git_user='') {
  # Allow routers to push config over HTTP
  $allow_http = hiera_array('allow_http',[])
  sunet::misc::ufw_allow { 'allow_http':
    from  => $allow_http,
    port  => '80',
    proto => tcp,
  }

  sunet::docker_compose {
    'karchive_docker_compose': service_name => 'karchive',
    description  => 'karchive',
    compose_dir  => '/opt/',
    content      => template('net/karchive/karchive.yaml.erb'),
  }
}
