# This class is used to define custom checks for hosts or groups of hosts
class net::naemon_monitor_config {

  nagioscfg::service {'check_baas2-restore-status':
      host_name      => ['baas2-restoretest-prod-1.sunet.se'],
      check_command  => "check_nrpe!check_baas2-restore-status",
      description    => 'Validates that baas2 restores are working as intended',
      contact_groups => ['alerts']
  }
}
